/**
 * Copyright 2019, Danang Galuh Tegar Prasetyo.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import Client from './Client';
import Session from './Session';
import Collection from './Collection';
import Table from './Table';
import CreateCollectionOptions from './types/CreateCollectionOptions';
export declare class Schema {
    private readonly client;
    private readonly session;
    private readonly xSchema;
    constructor(session: Session, xSchema: any);
    getClient(): Client | null;
    getSession(): Session;
    getXSchema(): any;
    createCollection(name: string, options?: CreateCollectionOptions): Promise<Collection>;
    dropCollection(name: string): Promise<boolean>;
    existsInDatabase(): Promise<boolean>;
    getCollection(name: string): Collection;
    getCollectionAsTable(name: string): Table;
    getCollections(): Promise<Collection[]>;
    getTable(name: string): Table;
    getTables(): Promise<Table[]>;
    getName(): string;
    inspect(): Object;
}
export default Schema;
