/**
 * Copyright 2019, Danang Galuh Tegar Prasetyo.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import Client from "./Client";
import Session from "./Session";
import LockContentionConstant from "./types/LockContentionConstant";
import DataModelConstant from "./types/DataModelConstant";
import ConnectionOptions from "./types/ConnectionOptions";
import PoolingOptions from "./types/PoolingOptions";
import Expression from "./types/Expression";
import ParserOptions from "./types/ParserOptions";
import ProtobufObject from "./types/ProtobufObject";
export declare const LockContention: LockContentionConstant;
export declare const DataModel: DataModelConstant;
export declare function expr(expression: Expression, options?: ParserOptions): ProtobufObject;
export declare function getClient(connection: ConnectionOptions, pooling: PoolingOptions): Client;
export declare function getSession(connection: ConnectionOptions): Promise<Session>;
export declare function getVersion(): string;
export declare function getXVersion(): string;
declare const _default: {
    LockContention: LockContentionConstant;
    DataModel: DataModelConstant;
    expr: typeof expr;
    getClient: typeof getClient;
    getSession: typeof getSession;
    getVersion: typeof getVersion;
    getXVersion: typeof getXVersion;
};
export default _default;
